Index: xorg-server-1.2.0/Makefile.am
===================================================================
--- xorg-server-1.2.0.orig/Makefile.am	2007-01-23 06:39:15.000000000 +0100
+++ xorg-server-1.2.0/Makefile.am	2007-03-28 20:26:19.000000000 +0200
@@ -30,6 +30,10 @@
 XINPUT_DIR=Xi
 endif
 
+if XKB
+XKB_DIR=xkb
+endif
+
 if DBE
 DBE_DIR=dbe
 endif
@@ -46,7 +50,7 @@
 	randr \
 	render  \
 	$(XINPUT_DIR) \
-	xkb \
+	$(XKB_DIR) \
 	$(DBE_DIR) \
 	$(MFB_DIR) \
 	$(AFB_DIR) \
Index: xorg-server-1.2.0/configure.ac
===================================================================
--- xorg-server-1.2.0.orig/configure.ac	2007-01-23 06:39:15.000000000 +0100
+++ xorg-server-1.2.0/configure.ac	2007-03-28 20:27:13.000000000 +0200
@@ -428,6 +428,7 @@
 AC_ARG_ENABLE(dpms,           AS_HELP_STRING([--disable-dpms], [Build DPMS extension (default: enabled)]), [DPMSExtension=$enableval], [DPMSExtension=yes])
 AC_ARG_ENABLE(xinput,         AS_HELP_STRING([--disable-xinput], [Build XInput Extension (default: enabled)]), [XINPUT=$enableval], [XINPUT=yes])
 AC_ARG_ENABLE(xfree86-utils,     AS_HELP_STRING([--enable-xfree86-utils], [Build xfree86 DDX utilities (default: enabled)]), [XF86UTILS=$enableval], [XF86UTILS=yes])
+AC_ARG_ENABLE(xkb,            AS_HELP_STRING([--disable-xkb], [Build XKB (default: enabled)]), [XKB=$enableval], [XKB=yes])
 
 dnl DDXes.
 AC_ARG_ENABLE(xorg,    	      AS_HELP_STRING([--enable-xorg], [Build Xorg server (default: auto)]), [XORG=$enableval], [XORG=auto])
@@ -754,12 +755,15 @@
 
 AC_DEFINE(SHAPE, 1, [Support SHAPE extension])
 
-AC_DEFINE(XKB, 1, [Build XKB])
-AC_DEFINE(XKB_IN_SERVER, 1, [Build XKB server])
-AC_DEFINE(XKB_DFLT_DISABLED, 0, [Disable XKB per default])
-REQUIRED_MODULES="$REQUIRED_MODULES xkbfile"
-XKB_LIB='$(top_builddir)/xkb/libxkb.la'
-XKB_STUB_LIB='$(top_builddir)/xkb/libxkbstubs.la'
+AM_CONDITIONAL(XKB, [test "x$XKB" = xyes])
+if test "x$XKB" = xyes; then
+	AC_DEFINE(XKB, 1, [Build XKB])
+	AC_DEFINE(XKB_IN_SERVER, 1, [Build XKB server])
+	AC_DEFINE(XKB_DFLT_DISABLED, 0, [Disable XKB per default])
+	REQUIRED_MODULES="$REQUIRED_MODULES xkbfile"
+	XKB_LIB='$(top_builddir)/xkb/libxkb.la'
+	XKB_STUB_LIB='$(top_builddir)/xkb/libxkbstubs.la'
+fi
 
 AC_CHECK_FUNC(strcasecmp, [], AC_DEFINE([NEED_STRCASECMP], 1,
                                         [Do not have `strcasecmp'.]))
